#!/bin/bash

EORCA_INPUTS="inputs/inputs-eorca1-5y/exp-eorca1-ref/"
TS=10

BIN_ROOT="$ES_SCRATCH/APPS/NEMO_V40_STELLA/cfgs"
TRAILER_BIN="EXP00/nemo"

INTEL_DOUBLE_BIN="$BIN_ROOT/ORCA-INTEL-IMPI-DEBUG/${TRAILER_BIN}"
INTEL_MIXED_BIN="$BIN_ROOT/ORCA-INTEL-IMPI-DEBUG_MIXED/${TRAILER_BIN}"
INTEL_ENV="env/mn5-gpp-intel"

INTEL_OMPI_DOUBLE_BIN="$BIN_ROOT/ORCA-INTEL-OPENMPI-DEBUG/${TRAILER_BIN}"
INTEL_OMPI_MIXED_BIN="$BIN_ROOT/ORCA-INTEL-OPENMPI-DEBUG_MIXED/${TRAILER_BIN}"
INTEL_OMPI_ENV="env/mn5-gpp-intel-openmpi"

#GCC_DOUBLE_BIN="$BIN_ROOT/ORCA-GCC-OPENMPI/$TRAILER_BIN"
#GCC_MIXED_BIN="$BIN_ROOT/ORCA-GCC-OPENMPI_MIXED/$TRAILER_BIN"
#GCC_ENV="env/mn5-gpp-gcc-openmpi"

RUNDIR_BASE="$ES_SCRATCH/RUNDIR/NEMO-TRACES/eORCA1-DOUBLE/${TS}_TS/"


for NODE in 2 4 8
do
    for MPI_TASKS in 112
    do
        for MIRROR in {1..1}
        do
            RUNDIR_NAME=${NODE}-nodes/${MPI_TASKS}-tasks/${MIRROR}-mirror
            INTEL_RUNDIR="${RUNDIR_BASE}/INTEL-IMPI/${RUNDIR_NAME}"
            INTEL_OMPI_RUNDIR="${RUNDIR_BASE}/INTEL-OMPI/${RUNDIR_NAME}"
            GCC_RUNDIR="${RUNDIR_BASE}/GCC-OPENMPI/${RUNDIR_NAME}"

            BIN=$INTEL_DOUBLE_BIN
            ENV=$INTEL_ENV

            ./run_nemo.sh --steps $TS --nodes $NODE --MPI $MPI_TASKS --OpenMP 1 \
            --ref-rundir $EORCA_INPUTS --account ehpc01 --queue gp_ehpc \
            --bin $BIN  --env $ENV  --rundir $INTEL_RUNDIR --extrae --force

            BIN=$INTEL_OMPI_DOUBLE_BIN
            ENV=$INTEL_OMPI_ENV

            ./run_nemo.sh --steps $TS --nodes $NODE --MPI $MPI_TASKS --OpenMP 1 \
            --ref-rundir $EORCA_INPUTS --account ehpc01 --queue gp_ehpc \
            --bin $BIN  --env $ENV  --rundir $INTEL_OMPI_RUNDIR --extrae --force

        done
    done
done

RUNDIR_BASE="$ES_SCRATCH/RUNDIR/NEMO-TRACES/eORCA1-MIXED/${TS}_TS/"
BIN=$INTEL_MIXED_BIN
for NODE in 2 4 8
do
    for MPI_TASKS in 112
    do
        for MIRROR in {1..1}
        do
            RUNDIR_NAME=${NODE}-nodes/${MPI_TASKS}-tasks/${MIRROR}-mirror
            INTEL_RUNDIR="${RUNDIR_BASE}/INTEL-IMPI/${RUNDIR_NAME}"
            INTEL_OMPI_RUNDIR="${RUNDIR_BASE}/INTEL-OMPI/${RUNDIR_NAME}"
            GCC_RUNDIR="${RUNDIR_BASE}/GCC-OPENMPI/${RUNDIR_NAME}"

            BIN=$INTEL_MIXED_BIN
            ENV=$INTEL_ENV

            ./run_nemo.sh --steps $TS --nodes $NODE --MPI $MPI_TASKS --OpenMP 1 \
            --ref-rundir $EORCA_INPUTS --account ehpc01 --queue gp_ehpc --force \
            --bin $BIN  --env $ENV  --rundir $INTEL_RUNDIR --extrae

            BIN=$INTEL_OMPI_MIXED_BIN
            ENV=$INTEL_OMPI_ENV

            ./run_nemo.sh --steps $TS --nodes $NODE --MPI $MPI_TASKS --OpenMP 1 \
            --ref-rundir $EORCA_INPUTS --account ehpc01 --queue gp_ehpc --force \
            --bin $BIN  --env $ENV  --rundir $INTEL_OMPI_RUNDIR --extrae
        done
    done
done


