#!/bin/bash

#EORCA1_INPUTS="inputs/inputs-eorca1-5y/exp-eorca1-ref/"
EORCA12_INPUTS="inputs/inputs-eorca12-5y/exp-eorca12-ref/"
EORCA_INPUTS=${EORCA12_INPUTS}
RUNDIR_BASE="$ES_SCRATCH/RUNDIR/NEMO-SCALLING/eORCA12-DOUBLE/${TS}_TS/"
TS=100

BIN_ROOT="$ES_SCRATCH/APPS/NEMO_V40_STELLA/cfgs"
TRAILER_BIN="EXP00/nemo"

INTEL_DOUBLE_BIN="$BIN_ROOT/ORCA-INTEL-IMPI/${TRAILER_BIN}"
INTEL_MIXED_BIN="$BIN_ROOT/ORCA-INTEL-IMPI_MIXED/${TRAILER_BIN}"
INTEL_ENV="env/mn5-gpp-intel"

INTEL_OMPI_DOUBLE_BIN="$BIN_ROOT/ORCA-INTEL-OPENMPI/${TRAILER_BIN}"
INTEL_OMPI_MIXED_BIN="$BIN_ROOT/ORCA-INTEL-OPENMPI_MIXED/${TRAILER_BIN}"
INTEL_OMPI_ENV="env/mn5-gpp-intel-openmpi"

#GCC_DOUBLE_BIN="$BIN_ROOT/ORCA-GCC-OPENMPI/$TRAILER_BIN"
#GCC_MIXED_BIN="$BIN_ROOT/ORCA-GCC-OPENMPI_MIXED/$TRAILER_BIN"
#GCC_ENV="env/mn5-gpp-gcc-openmpi"


BIN=$INTEL_OMPI_DOUBLE_BIN
ENV=$INTEL_OMPI_ENV
RUNDIR_BASE="$ES_SCRATCH/RUNDIR/NEMO-STELLA/eORCA12-DOUBLE/${TS}_TS/"
for NODE in 50 60 70 80 90 100
do
    for MPI_TASKS in 112
    do
        for MIRROR in {1..1}
        do
            RUNDIR_NAME=${NODE}-nodes/${MPI_TASKS}-tasks/${MIRROR}-mirror
            INTEL_OMPI_RUNDIR="${RUNDIR_BASE}/INTEL-OMPI/${RUNDIR_NAME}"

            ./run_nemo.sh --steps $TS --nodes $NODE --MPI $MPI_TASKS --OpenMP 1 \
            --ref-rundir $EORCA_INPUTS --account ehpc01 --queue gp_ehpc \
            --bin $BIN  --env $ENV  --rundir $INTEL_OMPI_RUNDIR --force
#            --bin $GCC_BIN --env $GCC_ENV --rundir $GCC_RUNDIR
        done
    done
done

RUNDIR_BASE="$ES_SCRATCH/RUNDIR/NEMO-STELLA/eORCA12-MIXED/${TS}_TS/"
BIN=$INTEL_OMPI_MIXED_BIN
for NODE in 50 60 70 80 90 100
do
    for MPI_TASKS in 112
    do
        for MIRROR in {1..1}
        do
            RUNDIR_NAME=${NODE}-nodes/${MPI_TASKS}-tasks/${MIRROR}-mirror
            INTEL_OMPI_RUNDIR="${RUNDIR_BASE}/INTEL-OMPI/${RUNDIR_NAME}"

            ./run_nemo.sh --steps $TS --nodes $NODE --MPI $MPI_TASKS --OpenMP 1 \
            --ref-rundir $EORCA_INPUTS --account ehpc01 --queue gp_ehpc --force \
            --bin $BIN  --env $ENV  --rundir $INTEL_OMPI_RUNDIR  \
#            --bin $GCC_BIN --env $GCC_ENV --rundir $GCC_RUNDIR
        done
    done
done

