#!/bin/bash

EORCA_INPUTS="inputs/inputs-eorca12-5y/exp-eorca12-ref/"
TS=100

BIN_ROOT="$ES_SCRATCH/APPS/NEMO_V40_STELLA/cfgs"
TRAILER_BIN="EXP00/nemo"

INTEL_DOUBLE_BIN="$BIN_ROOT/ORCA-INTEL-IMPI/${TRAILER_BIN}"
INTEL_MIXED_BIN="$BIN_ROOT/ORCA-INTEL-IMPI_MIXED/${TRAILER_BIN}"
INTEL_ENV="env/mn5-gpp-intel"

INTEL_OMPI_DOUBLE_BIN="$BIN_ROOT/ORCA-INTEL-OPENMPI/${TRAILER_BIN}"
INTEL_OMPI_MIXED_BIN="$BIN_ROOT/ORCA-INTEL-OPENMPI_MIXED/${TRAILER_BIN}"
INTEL_OMPI_ENV="env/mn5-gpp-intel-openmpi"

#GCC_DOUBLE_BIN="$BIN_ROOT/ORCA-GCC-OPENMPI/$TRAILER_BIN"
#GCC_MIXED_BIN="$BIN_ROOT/ORCA-GCC-OPENMPI_MIXED/$TRAILER_BIN"
#GCC_ENV="env/mn5-gpp-gcc-openmpi"

RUNDIR_BASE="$ES_SCRATCH/RUNDIR/NEMO-12-VARIABILITY/eORCA12-DOUBLE/${TS}_TS/"


for NODE in {100..200..25}
do
    for MPI_TASKS in 28
    do
        for MIRROR in {1..1}
        do
            RUNDIR_NAME=${NODE}-nodes/${MPI_TASKS}-tasks/${MIRROR}-mirror
            INTEL_RUNDIR="${RUNDIR_BASE}/INTEL-IMPI/${RUNDIR_NAME}"
            INTEL_OMPI_RUNDIR="${RUNDIR_BASE}/INTEL-OMPI/${RUNDIR_NAME}"
            GCC_RUNDIR="${RUNDIR_BASE}/GCC-OPENMPI/${RUNDIR_NAME}"

            BIN=$INTEL_DOUBLE_BIN
            ENV=$INTEL_ENV

            ./run_nemo.sh --steps $TS --nodes $NODE --MPI $MPI_TASKS --OpenMP 4 \
            --ref-rundir $EORCA_INPUTS --account ehpc01 --queue gp_ehpc  \
            --bin $BIN  --env $ENV  --rundir $INTEL_RUNDIR

            BIN=$INTEL_OMPI_DOUBLE_BIN
            ENV=$INTEL_OMPI_ENV

            ./run_nemo.sh --steps $TS --nodes $NODE --MPI $MPI_TASKS --OpenMP 4 \
            --ref-rundir $EORCA_INPUTS --account ehpc01 --queue gp_ehpc --force \
            --bin $BIN  --env $ENV  --rundir $INTEL_OMPI_RUNDIR

        done
    done
done

RUNDIR_BASE="$ES_SCRATCH/RUNDIR/NEMO-12-VARIABILITY/eORCA1-MIXED/${TS}_TS/"
for NODE in {100..200..25}
do
    for MPI_TASKS in 28
    do
        for MIRROR in {1..1}
        do
            RUNDIR_NAME=${NODE}-nodes/${MPI_TASKS}-tasks/${MIRROR}-mirror
            INTEL_RUNDIR="${RUNDIR_BASE}/INTEL-IMPI/${RUNDIR_NAME}"
            INTEL_OMPI_RUNDIR="${RUNDIR_BASE}/INTEL-OMPI/${RUNDIR_NAME}"
            GCC_RUNDIR="${RUNDIR_BASE}/GCC-OPENMPI/${RUNDIR_NAME}"

            BIN=$INTEL_MIXED_BIN
            ENV=$INTEL_ENV

            ./run_nemo.sh --steps $TS --nodes $NODE --MPI $MPI_TASKS --OpenMP 4 \
            --ref-rundir $EORCA_INPUTS --account ehpc01 --queue gp_ehpc --force \
            --bin $BIN  --env $ENV  --rundir $INTEL_RUNDIR

            BIN=$INTEL_OMPI_MIXED_BIN
            ENV=$INTEL_OMPI_ENV

            ./run_nemo.sh --steps $TS --nodes $NODE --MPI $MPI_TASKS --OpenMP 4 \
            --ref-rundir $EORCA_INPUTS --account ehpc01 --queue gp_ehpc --force \
            --bin $BIN  --env $ENV  --rundir $INTEL_OMPI_RUNDIR
        done
    done
done

